/*
 *  Init values for soundcard modules
 */

#define SND_DEFAULT_IDX { [0 ... (SND_CARDS-1)] = -1 }
#define SND_DEFAULT_STR { [0 ... (SND_CARDS-1)] = NULL }
#define SND_DEFAULT_PORT { SND_AUTO_PORT, [1 ... (SND_CARDS-1)] = -1 }
#ifdef SNDCFG_PNP
#define SND_DEFAULT_PNP_PORT { [0 ... (SND_CARDS-1)] = -1 }
#else
#define SND_DEFAULT_PNP_PORT SND_DEFAULT_PORT
#endif
#define SND_DEFAULT_IRQ { [0 ... (SND_CARDS-1)] = SND_AUTO_IRQ }
#define SND_DEFAULT_DMA { [0 ... (SND_CARDS-1)] = SND_AUTO_DMA }
#define SND_DEFAULT_DMA_SIZE { [0 ... (SND_CARDS-1)] = SND_AUTO_DMA_SIZE }
#define SND_DEFAULT_PTR SND_DEFAULT_STR

#if defined( LINUX_2_1 ) && !defined( SND_SKIP_EXPORT_NO_SYMBOLS )
EXPORT_NO_SYMBOLS;
#endif
